GLI 0.5.1

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Members

Public Types | Public Member Functions | List of all members
storage Class Reference

## Public Types
typedef glm::uint | dimensions1_type
typedef glm::uvec2 | dimensions2_type
typedef glm::uvec3 | dimensions3_type
typedef glm::uvec4 | dimensions4_type
typedef dimensions3_type | dimensions_type
typedef gli::format | format_type
typedef std::size_t | size_type
typedef float | texcoord1_type
typedef glm::vec2 | texcoord2_type
typedef glm::vec3 | texcoord3_type
typedef glm::vec4 | texcoord4_type

## Public Member Functions
dimensions_type | blockDimensions () const
size_type | blockSize () const
glm::byte * | data ()
glm::byte const * | data () const
dimensions_type | dimensions (size_type const &Level) const
bool | empty () const
size_type | faces () const
size_type | faceSize (size_type const &BaseLevel, size_type const &MaxLevel) const
format_type | format () const
size_type | layers () const
size_type | layerSize (size_type const &BaseFace, size_type const &MaxFace, size_type const &BaseLevel, size_type const &MaxLevel) const
size_type | levels () const
size_type | levelSize (size_type const &Level) const
size_type | size () const
| storage ()
| storage (size_type const &Layers, size_type const &Faces, size_type const &Levels, format_type const &Format, dimensions_type const &Dimensions)
| storage (size_type const &Layers, size_type const &Faces, size_type const &Levels, dimensions_type const &Dimensions, format_type const &Format, size_type const &BlockSize, dimensions_type const &BlockDimensions)

## Detailed Description

Definition at line 66 of file storage.hpp.

## Member Typedef Documentation

typedef glm::uint dimensions1_type

Definition at line 69 of file storage.hpp.

typedef glm::uvec2 dimensions2_type

Definition at line 70 of file storage.hpp.

typedef glm::uvec3 dimensions3_type

Definition at line 71 of file storage.hpp.

typedef glm::uvec4 dimensions4_type

Definition at line 72 of file storage.hpp.

typedef dimensions3_type dimensions_type

Definition at line 73 of file storage.hpp.

typedef gli::format format_type

Definition at line 79 of file storage.hpp.

typedef std::size_t size_type

Definition at line 78 of file storage.hpp.

typedef float texcoord1_type

Definition at line 74 of file storage.hpp.

typedef glm::vec2 texcoord2_type

Definition at line 75 of file storage.hpp.

typedef glm::vec3 texcoord3_type

Definition at line 76 of file storage.hpp.

typedef glm::vec4 texcoord4_type

Definition at line 77 of file storage.hpp.

## Constructor & Destructor Documentation

storage | ( |  | ) |

storage | ( | size_type const & | Layers,
|  | size_type const & | Faces,
|  | size_type const & | Levels,
|  | format_type const & | Format,
|  | dimensions_type const & | Dimensions
| ) |  |

storage | ( | size_type const & | Layers,
|  | size_type const & | Faces,
|  | size_type const & | Levels,
|  | dimensions_type const & | Dimensions,
|  | format_type const & | Format,
|  | size_type const & | BlockSize,
|  | dimensions_type const & | BlockDimensions
| ) |  |

## Member Function Documentation

dimensions_type blockDimensions | ( |  | ) | const

size_type blockSize | ( |  | ) | const

glm::byte* data | ( |  | ) |

glm::byte const* data | ( |  | ) | const

dimensions_type dimensions | ( | size_type const & | Level | ) | const

bool empty | ( |  | ) | const

size_type faces | ( |  | ) | const

size_type faceSize | ( | size_type const & | BaseLevel,
|  | size_type const & | MaxLevel
| ) |  | const

format_type format | ( |  | ) | const

size_type layers | ( |  | ) | const

size_type layerSize | ( | size_type const & | BaseFace,
|  | size_type const & | MaxFace,
|  | size_type const & | BaseLevel,
|  | size_type const & | MaxLevel
| ) |  | const

size_type levels | ( |  | ) | const

size_type levelSize | ( | size_type const & | Level | ) | const

size_type size | ( |  | ) | const